Description

Linked chart legend returns an NullPointerException if selected in the Symbology tab of Layer properties.

ERROR 2134322 AWT-EventQueue-0 org.gvsig.andami.messages.NotificationManager - java.lang.NullPointerException
java.lang.NullPointerException
    at org.gvsig.app.project.DefaultProject.getDocument(DefaultProject.java:490)
    at org.gvsig.project.documents.view.legend.LinkedChartLegend.getLinkedData(LinkedChartLegend.java:144)
    at org.gvsig.project.documents.view.legend.gui.ChartLinkedLegendPanel.getLegend(ChartLinkedLegendPanel.java:1007)
    at org.gvsig.app.project.documents.view.legend.gui.LegendManager.applyAction(LegendManager.java:634)
    at org.gvsig.app.project.documents.view.legend.gui.LegendManager.acceptAction(LegendManager.java:625)
    at
org.gvsig.app.project.documents.view.legend.gui.AbstractThemeManagerPage.whenAccept(AbstractThemeManagerPage.java:161)
    at org.gvsig.propertypage.BasePropertiesPageDialog.whenAccept(BasePropertiesPageDialog.java:91)
    at org.gvsig.propertypage.BasePropertiesPageDialog$1.actionPerformed(BasePropertiesPageDialog.java:52)
    at javax.swing.AbstractButton.fireActionPerformed(Unknown Source)
    at javax.swing.AbstractButton$Handler.actionPerformed(Unknown Source)
    at javax.swing.DefaultButtonModel.fireActionPerformed(Unknown Source)
    at javax.swing.DefaultButtonModel.setPressed(Unknown Source)
    at javax.swing.plaf.basic.BasicButtonListener.mouseReleased(Unknown Source)
    at java.awt.Component.processMouseEvent(Unknown Source)
    at javax.swing.JComponent
:161)
    at org.gvsig.propertypage.BasePropertiesPageDialog.whenAccept(BasePropertiesPageDialog.java:91)
    at org.gvsig.propertypage.BasePropertiesPageDialog$1.actionPerformed(BasePropertiesPageDialog.java:52)
    at javax.swing.AbstractButton.fireActionPerformed(Unknown Source)
    at javax.swing.AbstractButton$Handler.actionPerformed(Unknown Source)
    at javax.swing.DefaultButtonModel.fireActionPerformed(Unknown Source)
    at javax.swing.DefaultButtonModel.setPressed(Unknown Source)
    at javax.swing.plaf.basic.BasicButtonListener.mouseReleased(Unknown Source)
    at java.awt.Component.processMouseEvent(Unknown Source)
    at javax.swing.JComponent.processMouseEvent(Unknown Source)
    at java.awt.Component.processEvent(Unknown Source)
    at java.awt.Container.processEvent(Unknown Source)
    at java.awt.Component.dispatchEventImpl(Unknown Source)
    at java.awt.Container.dispatchEventImpl(Unknown Source)
    at java.awt.Component.dispatchEvent(Unknown Source)
    at java.awt.LightweightDispatcher.retargetMouseEvent(Unknown Source)
    at java.awt.LightweightDispatcher.processMouseEvent(Unknown Source)
    at java.awt.LightweightDispatcher.dispatchEvent(Unknown Source)
    at java.awt.Container.dispatchEventImpl(Unknown Source)
    at java.awt.Window.dispatchEventImpl(Unknown Source)
    at java.awt.Component.dispatchEvent(Unknown Source)
    at java.awt.EventQueue.dispatchEventImpl(Unknown Source)
    at java.awt.EventQueue.access$500(Unknown Source)
    at java.awt.EventQueue$3.run(Unknown Source)
    at java.awt.EventQueue$3.run(Unknown Source)
    at java.security.AccessController.doPrivileged(Native Method)
    at java.security.ProtectionDomain$JavaSecurityAccessImpl.doIntersectionPrivilege(Unknown Source)
    at java.security.ProtectionDomain$JavaSecurityAccessImpl.doIntersectionPrivilege(Unknown Source)
    at java.awt.EventQueue$4.run(Unknown Source)
    at java.awt.EventQueue$4.run(Unknown Source)
    at java.security.AccessController.doPrivileged(Native Method)
    at java.security.ProtectionDomain$JavaSecurityAccessImpl.doIntersectionPrivilege(Unknown Source)
    at java.awt.EventQueue.dispatchEvent(Unknown Source)
    at org.gvsig.andami.ui.AndamiEventQueue.dispatchEvent(AndamiEventQueue.java:50)
    at java.awt.EventDispatchThread.pumpOneEventForFilters(Unknown Source)
    at java.awt.EventDispatchThread.pumpEventsForFilter(Unknown Source)
    at java.awt.EventDispatchThread.pumpEventsForHierarchy(Unknown Source)
    at java.awt.EventDispatchThread.pumpEvents(Unknown Source)
    at java.awt.EventDispatchThread.pumpEvents(Unknown Source)
    at java.awt.EventDispatchThread.run(Unknown Source)

Associated revisions
Revision 369 - 10/04/2017 07:03 PM - Francisco Díaz Carsí

refs #4680 Arreglos en la leyendas de gráficos de tarta, barras y tabla enlazada.

History
#1 - 10/01/2017 09:12 AM - Joaquín  del Cerro Murciano
- Target version changed from 2.4.0-2850-final (rev. org.gvsig.desktop-2.0.220) to 2.4.0-2840 (rev. org.gvsig.desktop-2.0.208)

#2 - 10/04/2017 07:09 PM - Francisco Díaz Carsí
- Assignee set to Francisco Díaz Carsí
- Status changed from New to Fixed

He arreglado esa NullPointerException y algunos problemas más que tenía ese panel.

Pero habría que revisar bien el código y refactorizarlo.

#3 - 10/14/2017 08:28 PM - Antonio Falciano
- Status changed from Fixed to Closed
